Bug 21518 - Material type "three-dimensional artifact" displays as "visual material"
Summary: Material type "three-dimensional artifact" displays as "visual material"
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-08 21:12 UTC by Isabel Pineda
Modified: 2019-09-03 22:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 21518: Material type "three-dimensional artifact" displays as "visual material" (12.22 KB, patch)
2019-07-31 12:51 UTC, Owen Leonard
Details | Diff | Splinter Review
MARC files for testing (5.46 KB, application/MARC)
2019-07-31 12:51 UTC, Owen Leonard
Details
Bug 21518: Material type "three-dimensional artifact" displays as "visual material" (12.27 KB, patch)
2019-07-31 16:31 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 21518: Material type "three-dimensional artifact" displays as "visual material" (12.32 KB, patch)
2019-08-02 13:39 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Isabel Pineda 2018-10-08 21:12:35 UTC
A catalog record with material type r (three-dimensional artifact) displays as g (visual material) - the icon as well as the description, in the admin interface as well as in the OPAC. Looking at the source code, I see that the icon VM.png is used.
Comment 1 Shanna Hollich 2019-07-30 17:30:32 UTC
This seems like a pretty easy bug to fix, and I would love it if this could happen - the Mixed Materials icon would work just fine for material type r, so it looks like the proper .png file just needs to be swapped into the code. I love having the icons show up in the catalog because it's super helpful for patrons to, at a glance, distinguish books from DVDs for instance, but this one ends up confusing them. Thanks!
Comment 2 Owen Leonard 2019-07-31 12:51:06 UTC
Created attachment 91889 [details] [review]
Bug 21518: Material type "three-dimensional artifact" displays as "visual material"

This patch makes a few corrections to the staff client MARC21 XSLT so
that the correct material type icons are displayed for pictures and
realia. The more-specific material type handling has been adapted from
the corresponding XSL files in the OPAC.

To test you must have default XSLT enabled and the DisplayIconsXSLT and
DisplayOPACiconsXSLT system preferences enabled.

 - Apply the patch and locate records with "type of record" specified in
   the leader as 'g', 'k', and 'r'.

   A sample MARC file will be attached to the bug report with one of
   each type of record. Import the records and search your catalog for
   "Bug_21518."

 - View the records in search results and their detail pages, both in
   the OPAC and the staff client. In all cases the correct material type
   icon should be displayed.
Comment 3 Owen Leonard 2019-07-31 12:51:38 UTC
Created attachment 91890 [details]
MARC files for testing
Comment 4 Lucas Gass 2019-07-31 16:31:39 UTC
Created attachment 91895 [details] [review]
Bug 21518: Material type "three-dimensional artifact" displays as "visual material"

This patch makes a few corrections to the staff client MARC21 XSLT so
that the correct material type icons are displayed for pictures and
realia. The more-specific material type handling has been adapted from
the corresponding XSL files in the OPAC.

To test you must have default XSLT enabled and the DisplayIconsXSLT and
DisplayOPACiconsXSLT system preferences enabled.

 - Apply the patch and locate records with "type of record" specified in
   the leader as 'g', 'k', and 'r'.

   A sample MARC file will be attached to the bug report with one of
   each type of record. Import the records and search your catalog for
   "Bug_21518."

 - View the records in search results and their detail pages, both in
   the OPAC and the staff client. In all cases the correct material type
   icon should be displayed.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 5 Nick Clemens 2019-08-02 13:39:58 UTC
Created attachment 91930 [details] [review]
Bug 21518: Material type "three-dimensional artifact" displays as "visual material"

This patch makes a few corrections to the staff client MARC21 XSLT so
that the correct material type icons are displayed for pictures and
realia. The more-specific material type handling has been adapted from
the corresponding XSL files in the OPAC.

To test you must have default XSLT enabled and the DisplayIconsXSLT and
DisplayOPACiconsXSLT system preferences enabled.

 - Apply the patch and locate records with "type of record" specified in
   the leader as 'g', 'k', and 'r'.

   A sample MARC file will be attached to the bug report with one of
   each type of record. Import the records and search your catalog for
   "Bug_21518."

 - View the records in search results and their detail pages, both in
   the OPAC and the staff client. In all cases the correct material type
   icon should be displayed.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Martin Renvoize 2019-08-05 10:40:19 UTC
Nice work!

Pushed to master for 19.11.00
Comment 7 Fridolin SOMERS 2019-08-09 12:56:06 UTC
Pushed to 19.05.x for 19.05.03
Comment 8 Lucas Gass 2019-09-03 22:23:13 UTC
backported to 18.11.x for 18.11.10